%global packname  conflicted
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          1.2.0
Release:          2%{?dist}
Summary:          An Alternative Conflict Resolution Strategy

License:          MIT + file LICENSE
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-cli >= 3.4.0, R-memoise, R-rlang >= 1.0.0
# Suggests:  R-callr, R-covr, R-dplyr, R-Matrix, R-methods, R-pkgload, R-testthat >= 3.0.0, R-withr
# LinkingTo:
# Enhances:

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-cli >= 3.4.0
BuildRequires:    R-memoise
BuildRequires:    R-rlang >= 1.0.0

%description
R's default conflict management system gives the most recently loaded
package precedence. This can make it hard to detect conflicts, particularly
when they arise because a package update creates ambiguity that did not
previously exist. 'conflicted' takes a different approach, making every
conflict an error and forcing you to choose which function to use.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%dir %{rlibdir}/%{packname}
%license %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help



%changelog
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.2.0-2
- trim build deps (don't include Suggests)
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.2.0-1
- initial package for Fedora
